# State

**Related endpoints**

{% content-ref url="/pages/Qi4hDZKjvDzIpBChNtFg" %}
[States](/v3/motorsport-api/endpoints-and-entities/endpoints/states.md)
{% endcontent-ref %}

**Field description**

| Field            | Description                                | Type    |
| ---------------- | ------------------------------------------ | ------- |
| `id`             | The unique id of the state                 | integer |
| `state`          | The abbreviation of the state              | string  |
| `name`           | The full name of the state                 | string  |
| `short_name`     | The short name of the state                | string  |
| `developer_name` | The name recommended for developers to use | string  |

**Include options**

None


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/state.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
